# Generated by Django 2.2.11 on 2020-03-22 12:56

from django.conf import settings
import django.contrib.gis.db.models.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('logistica', '0009_auto_20200321_1117'),
    ]

    operations = [
        migrations.CreateModel(
            name='Batch',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_date', models.DateTimeField(auto_now_add=True, db_index=True)),
                ('last_updated_date', models.DateTimeField(auto_now=True, db_index=True)),
                ('notes', models.TextField(blank=True, null=True, verbose_name='Notas')),
                ('quantity', models.IntegerField(default=0, verbose_name='Cantidad')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Person',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_date', models.DateTimeField(auto_now_add=True, db_index=True)),
                ('last_updated_date', models.DateTimeField(auto_now=True, db_index=True)),
                ('notes', models.TextField(blank=True, null=True, verbose_name='Notas')),
                ('role', models.IntegerField(choices=[(0, 'Maker'), (1, 'Centro de salud'), (2, 'Almacén')], default=0, verbose_name='Estado')),
                ('name', models.CharField(max_length=250, verbose_name='Name')),
                ('telegram_nick', models.CharField(blank=True, max_length=250, null=True, verbose_name='Telegram nick')),
                ('telegram_id', models.BigIntegerField(blank=True, null=True, verbose_name='Telegram id')),
                ('address', models.CharField(max_length=250, verbose_name='Dirección')),
                ('phone', models.CharField(max_length=250, verbose_name='Teléfono')),
                ('point', django.contrib.gis.db.models.fields.PointField(srid=4326, verbose_name='Geospatial point')),
                ('production_capacity', models.IntegerField(default=1, verbose_name='Capacidad de producción')),
                ('logistics_need', models.BooleanField(default=False, verbose_name='Necesidad logística')),
                ('region', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='producer_points', to='logistica.Region')),
                ('user', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='producers', to=settings.AUTH_USER_MODEL, verbose_name='Usuario real asociado')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.RemoveField(
            model_name='intermediary',
            name='region',
        ),
        migrations.RemoveField(
            model_name='producer',
            name='region',
        ),
        migrations.RemoveField(
            model_name='producer',
            name='user',
        ),
        migrations.RemoveField(
            model_name='inventory',
            name='producer',
        ),
        migrations.RemoveField(
            model_name='shipping',
            name='consumer',
        ),
        migrations.RemoveField(
            model_name='shipping',
            name='producer',
        ),
        migrations.RemoveField(
            model_name='shipping',
            name='quantity',
        ),
        migrations.RemoveField(
            model_name='shipping',
            name='resource',
        ),
        migrations.RemoveField(
            model_name='tracking',
            name='consumer',
        ),
        migrations.RemoveField(
            model_name='tracking',
            name='intermediary',
        ),
        migrations.RemoveField(
            model_name='tracking',
            name='producer',
        ),
        migrations.AddField(
            model_name='shipping',
            name='request',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='shipping', to='logistica.Request', verbose_name='Pedido'),
        ),
        migrations.AlterField(
            model_name='request',
            name='consumer',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='requests', to='logistica.Person'),
        ),
        migrations.DeleteModel(
            name='Consumer',
        ),
        migrations.DeleteModel(
            name='Intermediary',
        ),
        migrations.DeleteModel(
            name='Producer',
        ),
        migrations.AddField(
            model_name='batch',
            name='inventory',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='batchs', to='logistica.Inventory'),
        ),
        migrations.AddField(
            model_name='batch',
            name='shipping',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='batchs', to='logistica.Shipping'),
        ),
        migrations.AddField(
            model_name='inventory',
            name='owner',
            field=models.ForeignKey(default=None, on_delete=django.db.models.deletion.PROTECT, related_name='inventories', to='logistica.Person', verbose_name='Lugar del inventario'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='shipping',
            name='dst',
            field=models.ForeignKey(default=None, on_delete=django.db.models.deletion.PROTECT, related_name='dst_shipping', to='logistica.Person', verbose_name='Destino'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='shipping',
            name='src',
            field=models.ForeignKey(default=None, on_delete=django.db.models.deletion.PROTECT, related_name='src_shipping', to='logistica.Person', verbose_name='Origen'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='tracking',
            name='person',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='tracking', to='logistica.Person'),
        ),
    ]
